Bug 894371 - I typed "yum upgrade tcl tcl-devel" and I got the following message in the console (see Description):
I typed "yum upgrade tcl tcl-devel" and I got the following message in the co...
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
BaseOS QE Security Team
Depends On:
  Show dependency treegraph
Reported: 2013-01-11 10:28 EST by Fernando_Carreño
Modified: 2014-01-21 01:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-03-20 12:29:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Fernando_Carreño 2013-01-11 10:28:30 EST
Description of problem: 

 Package                          Arch                        Version                              Repository                                               Size
 tcl                              i386                        8.4.13-6.el5                         rhel-x86_64-client-5                                    1.3 M
 tcl-devel                        i386                        8.4.13-6.el5                         rhel-x86_64-client-workstation-5                        1.0 M

Transaction Summary
Install       0 Package(s)
Upgrade       2 Package(s)

Total download size: 2.3 M
Is this ok [y/N]: y
Downloading Packages:
(1/2): tcl-devel-8.4.13-6.el5.i386.rpm                                                                                                    | 1.0 MB     00:00
(2/2): tcl-8.4.13-6.el5.i386.rpm                                                                                                          | 1.3 MB     00:00
Total                                                                                                                            805 kB/s | 2.3 MB     00:02
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
tcl-devel is needed by (installed) tk-devel-8.5.7-2.x86_64
tcl-devel is needed by (installed) tk-devel-8.5.7-2.x86_64
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])

Version-Release number of selected component (if applicable):

uname -r produces---> 2.6.18-308.24.1.el5xen

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Fernando_Carreño 2013-01-11 10:30:17 EST
I typed  as root: 
[root@hpferpo fernando]#  yum upgrade tcl tcl-devel 

and I got the previous message
Comment 2 Zdeněk Pavlas 2013-03-20 12:29:15 EDT
The installed tk-devel package requires a certain tcl-devel version, so it barfs when you try to upgrade it.  You must update both packages in the same transaction.

It's a bug in the sense that Yum should have figured this sooner, and not after downloading the packages and running the transaction check.  I'm 99% sure it's fixed in RHEL6.

Note You need to log in before you can comment on or make changes to this bug.